Update a webhook endpoint
curl --request PATCH \
--url https://api.compute.anonalabs.com/v1/webhooks/{webhookID} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true
}
'import requests
url = "https://api.compute.anonalabs.com/v1/webhooks/{webhookID}"
payload = {
"name": "<string>",
"url": "<string>",
"events": ["<string>"],
"enabled": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: ['<string>'], enabled: true})
};
fetch('https://api.compute.anonalabs.com/v1/webhooks/{webhookID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"webhook": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true,
"secretHint": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"previousSecretValidUntil": "2023-11-07T05:31:56Z",
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"lastDeliveryStatus": "<string>",
"failingDeliveries": 123,
"deadDeliveries": 123
}
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Webhooks and telemetry
Update a webhook endpoint
Any of name, url, events, enabled.
PATCH
/
v1
/
webhooks
/
{webhookID}
Update a webhook endpoint
curl --request PATCH \
--url https://api.compute.anonalabs.com/v1/webhooks/{webhookID} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true
}
'import requests
url = "https://api.compute.anonalabs.com/v1/webhooks/{webhookID}"
payload = {
"name": "<string>",
"url": "<string>",
"events": ["<string>"],
"enabled": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', url: '<string>', events: ['<string>'], enabled: true})
};
fetch('https://api.compute.anonalabs.com/v1/webhooks/{webhookID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"webhook": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true,
"secretHint": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"previousSecretValidUntil": "2023-11-07T05:31:56Z",
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"lastDeliveryStatus": "<string>",
"failingDeliveries": 123,
"deadDeliveries": 123
}
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
An Anona Compute API key (e2b_ followed by lowercase hex).
Path Parameters
Response
The updated endpoint.
Show child attributes
Show child attributes